# $Revision: 1.224 $, $Date: 2011/08/03 10:31:36 $
#
# Conditional build:
%bcond_with	hal		# build with HAL support (HAL is deprecated)
#
Summary:	GNOME - virtual file system
Summary(pl.UTF-8):	GNOME - wirtualny system plików
Name:		gnome-vfs2
Version:	2.24.4
Release:	9
License:	LGPL v2+
Group:		Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-vfs/2.24/gnome-vfs-%{version}.tar.bz2
# Source0-md5:	a05fab03eeef10a47dd156b758982f2e
Source1:	%{name}-defaults.list
Patch0:		%{name}-no_g_mime.patch
Patch1:		%{name}-fstab_edit_crash.patch
Patch2:		%{name}-default_cdda_handler.patch
Patch3:		%{name}-headers-define.patch
Patch4:		%{name}-ac-libs.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.22.0
BuildRequires:	ORBit2-devel >= 1:2.14.9
BuildRequires:	acl-devel >= 2.2.34
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	avahi-glib-devel >= 0.6.17
BuildRequires:	bzip2-devel
BuildRequires:	dbus-glib-devel >= 0.73
BuildRequires:	docbook-dtd412-xml >= 1.0-10
BuildRequires:	fam-devel
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gtk-doc >= 1.8
%{?with_hal:BuildRequires:	hal-devel >= 0.5.9}
BuildRequires:	heimdal-devel
BuildRequires:	intltool >= 0.36.2
BuildRequires:	libselinux-devel
BuildRequires:	libsmbclient-devel >= 3.0
BuildRequires:	libtool >= 2:1.5.14
BuildRequires:	libxml2-devel >= 1:2.6.30
BuildRequires:	openssl-devel >= 0.9.8b
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.1-10
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
Requires(post,preun):	GConf2
Requires:	%{name}-libs = %{version}-%{release}
Requires:	ORBit2 >= 1:2.14.9
Requires:	shared-mime-info >= 0.18
Obsoletes:	gnome-vfs-extras
Obsoletes:	gnome-vfs2-vfolder-menu
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
Conflicts:	gnome-vfs2-module-menu <= 0.8-1
Conflicts:	libgnome < 2.5.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Virtual File System.

%description -l pl.UTF-8
Wirtualny Systemu Plików GNOME.

%package libs
Summary:	gnome-vfs library
Summary(pl.UTF-8):	Biblioteka gnome-vfs
Group:		Libraries
%{?with_hal:Requires:	hal-libs >= 0.5.9}

%description libs
This package contains gnome-vfs libraries.

%description libs -l pl.UTF-8
Pakiet zawiera biblioteki gnome-vfs.

%package devel
Summary:	gnome-vfs - header files
Summary(pl.UTF-8):	gnome-vfs - pliki nagłówkowe
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	GConf2-devel >= 2.22.0
Requires:	avahi-glib-devel >= 0.6.17
Requires:	dbus-glib-devel >= 0.73
Requires:	gtk-doc-common
Requires:	libselinux-devel
Requires:	openssl-devel >= 0.9.8b

%description devel
This package contains header files for gnome-vfs library.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe biblioteki gnome-vfs.

%package static
Summary:	gnome-vfs - static libraries
Summary(pl.UTF-8):	gnome-vfs - biblioteki statyczne
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static gnome-vfs libraries.

%description static -l pl.UTF-8
Pakiet ten zawiera biblioteki statyczne gnome-vfs.

%package apidocs
Summary:	gnome-vfs API documentation
Summary(pl.UTF-8):	Dokumentacja API gnome-vfs
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
gnome-vfs API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API gnome-vfs.

%prep
%setup -q -n gnome-vfs-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1

%build
# force rebuild
touch libgnomevfs/GNOME_VFS_Daemon.idl
%{__gtkdocize}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{__enable_disable hal hal} \
	--disable-howl \
	--disable-schemas-install \
	--enable-gtk-doc \
	--enable-ipv6 \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4dir=%{_aclocaldir} \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

# no static modules
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/*.{la,a}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/defaults.list

%find_lang gnome-vfs-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install desktop_default_applications.schemas
%gconf_schema_install desktop_gnome_url_handlers.schemas
%gconf_schema_install system_dns_sd.schemas
%gconf_schema_install system_http_proxy.schemas
%gconf_schema_install system_smb.schemas

%preun
%gconf_schema_uninstall desktop_default_applications.schemas
%gconf_schema_uninstall desktop_gnome_url_handlers.schemas
%gconf_schema_uninstall system_dns_sd.schemas
%gconf_schema_uninstall system_http_proxy.schemas
%gconf_schema_uninstall system_smb.schemas

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f gnome-vfs-2.0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{_sysconfdir}/gnome-vfs-2.0
%{_sysconfdir}/gconf/schemas/desktop_default_applications.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_url_handlers.schemas
%{_sysconfdir}/gconf/schemas/system_dns_sd.schemas
%{_sysconfdir}/gconf/schemas/system_http_proxy.schemas
%{_sysconfdir}/gconf/schemas/system_smb.schemas
%attr(755,root,root) %{_bindir}/gnomevfs-cat
%attr(755,root,root) %{_bindir}/gnomevfs-copy
%attr(755,root,root) %{_bindir}/gnomevfs-df
%attr(755,root,root) %{_bindir}/gnomevfs-info
%attr(755,root,root) %{_bindir}/gnomevfs-ls
%attr(755,root,root) %{_bindir}/gnomevfs-mkdir
%attr(755,root,root) %{_bindir}/gnomevfs-monitor
%attr(755,root,root) %{_bindir}/gnomevfs-mv
%attr(755,root,root) %{_bindir}/gnomevfs-rm
%{_datadir}/dbus-1/services/gnome-vfs-daemon.service
%{_desktopdir}/defaults.list

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomevfs-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomevfs-2.so.0
%dir %{_libdir}/gnome-vfs-2.0
%dir %{_libdir}/gnome-vfs-2.0/modules
%attr(755,root,root) %{_libdir}/gnome-vfs-daemon
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/libbzip2.so
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/libcomputer.so
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/libdns-sd.so
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/libfile.so
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/libftp.so
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/libgzip.so
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/libhttp.so
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/libnetwork.so
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/libnntp.so
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/libsftp.so
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/libsmb.so
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/libtar.so
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/libvfs-test.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomevfs-2.so
%{_includedir}/gnome-vfs-2.0
%{_includedir}/gnome-vfs-module-2.0
%{_libdir}/gnome-vfs-2.0/include
%{_pkgconfigdir}/gnome-vfs-2.0.pc
%{_pkgconfigdir}/gnome-vfs-module-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomevfs-2.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gnome-vfs-2.0

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-vfs2.spec,v $
Revision 1.224  2011/08/03 10:31:36  baggins
- rel 9

Revision 1.223  2011/08/03 10:27:42  baggins
- fix /usr/lib pollution

Revision 1.222  2011/08/03 08:21:29  baggins
- release 8

Revision 1.221  2011/07/03 13:33:31  qboosh
- en@shaw locale is now supported

Revision 1.220  2011/02/22 16:20:46  baggins
- rel 7
- disabled HAL support (deprecated)

Revision 1.219  2011/02/22 16:15:18  baggins
- HAL bcond

Revision 1.218  2011/02/05 22:37:12  wiget
- drop obsoleted rm

Revision 1.217  2011/02/05 22:32:48  wiget
- use %{__rm} macro
- drop libtool file
- rel. 6

Revision 1.216  2011/02/05 22:22:34  wiget
- rel. 5

Revision 1.215  2010/11/18 21:03:20  hawk
- release 4

Revision 1.214  2010/11/08 19:19:54  shadzik
- rel 3

Revision 1.213  2010/10/04 18:32:07  baggins
- rel 2

Revision 1.212  2010/09/30 17:20:47  megabajt
- updated to 2.24.4

Revision 1.211  2010/04/11 09:08:37  arekm
- release 2

Revision 1.210  2010/04/02 10:04:02  megabajt
- updated to 2.24.3

Revision 1.209  2009/10/10 18:29:45  megabajt
- updated to 2.24.2

Revision 1.208  2009/07/02 21:56:30  baggins
- rel 3

Revision 1.207  2009/07/02 14:19:03  baggins
- back to heimdal kerberos

Revision 1.206  2009/03/20 13:31:55  megabajt
- release 2

Revision 1.205  2009/03/17 20:03:46  megabajt
- updated to 2.24.1

Revision 1.204  2008/11/27 16:05:25  sls
- removed BR: gnome-doc-tools

Revision 1.203  2008/09/29 18:01:28  qboosh
- removed duplicate

Revision 1.202  2008/09/25 17:27:23  megabajt
- updated to 2.24.0

Revision 1.201  2008/09/24 14:27:20  mguevara
- rel 2; moved some so files to libs subpackage

Revision 1.200  2008/03/10 20:37:31  megabajt
- updated to 2.22.0; merged changes from DEVEL
- more verbose files

Revision 1.199.2.1  2008-02-06 14:11:42  patrys
- 2.21.90

Revision 1.199  2007-11-14 15:45:26  megabajt
- updated to 2.20.1
- use better way to fix locale name

Revision 1.198  2007-11-04 23:57:02  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.197  2007/09/17 17:55:14  megabajt
- updated to 2.20.0

Revision 1.196.2.1  2007/08/27 22:23:30  megabajt
- updated to 2.19.91

Revision 1.196  2007/07/31 18:25:40  qboosh
- BR+R libselinux-devel

Revision 1.195  2007/04/10 17:57:32  megabajt
- updated to 2.18.1

Revision 1.194  2007/03/31 21:37:50  baggins
- rel 2
- s/heimdal/krb5/

Revision 1.193  2007/03/13 12:23:37  megabajt
- updated to 2.18.0.1

Revision 1.192  2007/03/12 14:33:04  megabajt
- updated md5

Revision 1.191  2007/03/12 14:29:52  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.190.2.1  2007/02/28 14:22:51  megabajt
- updated to 2.17.91

Revision 1.190  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.189  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.188  2006/12/12 11:35:41  cieciwa
- release 2, to build with db4.5

Revision 1.187  2006/11/20 18:49:43  megabajt
- up to 2.16.3

Revision 1.186  2006/11/11 15:45:15  megabajt
- up to 2.16.2

Revision 1.185  2006/10/13 16:24:52  wolf
- wtf?

Revision 1.184  2006/10/13 16:20:08  wolf
- devel R popt-devel

Revision 1.183  2006/10/02 22:44:29  grzegol
- 2.16.1

Revision 1.182  2006/09/04 17:08:19  grzegol
- 2.16.0

Revision 1.181  2006/08/21 16:07:07  freetz
- 2.15.92, updated deps

Revision 1.180  2006/08/11 20:52:18  freetz
- 2.15.91

Revision 1.179  2006/08/05 19:22:37  wolf
- rel 2

Revision 1.178  2006/07/25 16:07:12  freetz
- 2.15.90, removed LDFLAGS

Revision 1.177  2006/07/11 17:14:12  freetz
- 2.15.3, bonobo deps dropped upstream, updated file list and BR/R,
  --as-needed support

Revision 1.176  2006/06/13 18:19:46  freetz
- 2.15.2, more bleeding edge deps,
  added patch solving http://bugzilla.gnome.org/show_bug.cgi?id=344733

Revision 1.175  2006/06/08 10:31:59  wrobell
- requires intltool 0.35.0 to build

Revision 1.174  2006/06/07 14:10:37  freetz
- move shared dirs to -libs, rel.3

Revision 1.173  2006/06/07 13:32:25  freetz
- rel.2, refresh gtk-doc.make, zh_HK is back

Revision 1.172  2006/05/24 17:56:07  freetz
- 2.15.1 (devel), 2.15.x GNOME platform build deps, removed patches already
  included in sources, remove unsupported locale

Revision 1.171  2006/05/23 21:17:04  freetz
- restored Name field

Revision 1.170  2006/05/23 21:08:31  freetz
- sync with stable branch, cut changelog
